Bug 219363 - must check for ONBOOT option for aliases
Summary: must check for ONBOOT option for aliases
Status: CLOSED EOL
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Maintenance   
(Show other bugs)
Version: RHN Stable
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: rhn-dev-list
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-12 19:40 UTC by marc eshel
Modified: 2017-07-05 15:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-05 15:24:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
just check for ONBOOT even for aliases (871 bytes, patch)
2006-12-12 19:40 UTC, marc eshel
no flags Details | Diff

Description marc eshel 2006-12-12 19:40:56 UTC
Description of problem:


RHEL4 does not support the ONBOOT for IP aliases. The setting of ONBOOT=no in an
alias config file (for example ifcfg-eth0:0) is ignored during boot time. This
control is important for HA NFS. 


How reproducible:

Set the option ONBOOT=no in an IP alias file like ifcfg-eth0:0. reboot the
machine or just run 'ifup eth0 boot' and using ifconfig you can see that the
eth0:0 is up.

Attached is a possible fix.

Comment 1 marc eshel 2006-12-12 19:40:56 UTC
Created attachment 143432 [details]
just check for ONBOOT even for aliases

Comment 2 marc eshel 2007-01-12 19:31:37 UTC
does anyone at redhat monitor this bugzilla ?

Comment 3 Mark Chappell 2009-02-09 14:42:13 UTC
Having tried to do the same thing I think I found the answer.

Just double checked this on EL4,EL5 and FC2...

I think you're using the wrong variable, couldn't find the following in the docs, but stumbled across it in the script

ONPARENT=no

seems to do the job.

Non-obvious, but the docs for the ifcfg-<dev> scripts do seem a little lacking.  Apparently we're not supposed to modify them by hand and use the guis instead.

Comment 5 Thomas "Shea" DeAntonio 2017-07-05 15:24:19 UTC
As you may already be aware, Red Hat is transitioning from the Red Hat Network (RHN) hosted interface to the Red Hat Subscription Management (RHSM) interface in July 2017. Red Hat has invested in and seen success from RHN for many years, and used that experience to build more robust technologies like RHSM. 
 
If you have not yet migrated your RHN systems to RHSM or you are a Red Hat Satellite customer, please review the information from. https://access.redhat.com/products/red-hat-subscription-management#migration. 
 
Since we are shutting down RHN, no further actions will be taken with this bug or enhancement request.  You can find additional information at RHSM product page (https://access.redhat.com/products/red-hat-subscription-management).  If you have further questions, please contact support (https://access.redhat.com/products/red-hat-subscription-management#support).


Note You need to log in before you can comment on or make changes to this bug.